Subject: bug#61215: 29.0.60; font-lock broken in diff-mode with long lines

From: Juri Linkov <[email-masked]>
Date: Sat, 01 Apr 2023 21:19:14 +0300

> I just spent a couple of hours on this bug, and so far the only thing I can
> say for sure is that alas the patch you suggested does not work reliably:
> at least with the recipe I posted upthread the bug is still present.
> I don't yet know how to actually fix it, though :(

Did you do a full bootstrap after applying the patch?
It changes the macro, so at least diff-mode.el (that uses
this macro) needs to be recompiled afterwards.